summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2017-10-12 11:52:59 -0500
committerTim Harder <radhermit@gentoo.org>2017-10-12 12:00:52 -0500
commit5d47ff7a8dca671619a3f7898434d94c9f9094fb (patch)
tree9bde6455d9139e6bc63ba0c0419b1476917a8db6
parentnet-dialup/minicom: use https for HOMEPAGE (diff)
downloadgentoo-5d47ff7a8dca671619a3f7898434d94c9f9094fb.tar.gz
gentoo-5d47ff7a8dca671619a3f7898434d94c9f9094fb.tar.bz2
gentoo-5d47ff7a8dca671619a3f7898434d94c9f9094fb.zip
dev-python/setuptools: version bump to 36.6.0
-rw-r--r--dev-python/setuptools/Manifest1
-rw-r--r--dev-python/setuptools/setuptools-36.6.0.ebuild69
2 files changed, 70 insertions, 0 deletions
diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index 9f268f371a14..b1079488ba3e 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -4,3 +4,4 @@ DIST setuptools-35.0.1.zip 624263 SHA256 eea7f2ff55d4a810b6bc39be1ad1c60c2702341
DIST setuptools-35.0.2.zip 624829 SHA256 1e55496ca8058db68ae12ac29a985d1ee2c2483a5901f7692fb68fa2f9a250fd SHA512 f80789cef8fe86ff1989e7f769637d1f6cb2008c6190609b8f8c5b4fdb63fac83267709895c7f502a09a693779b41e6ee0551e94f3348b64b6108dbc9629a116 WHIRLPOOL 23b22065ced0a7df25ff35b79675b94e6146ec9ca7eff7c27a94d5aea64e4e9356e136fb537f642810a824eb3e0921d817b5739fe9cd3daf083cad99475354e9
DIST setuptools-36.0.1.zip 711296 SHA256 e17c4687fddd6d70a6604ac0ad25e33324cec71b5137267dd5c45e103c4b288a SHA512 cbcd2591d0d8a7591c5d9a1d4173814afa0b984af29f2e34d26a37c357474b043f371978ac224cea12f50834d91babd9f14b137488c4edcd62594e91aff903d8 WHIRLPOOL 9818d419a11ab6493027fcf27a48b087c80a10fe2bf3b0539893bd57b33be23ed5b90572682f0a27850044482f03d299905e04cc890f724d3cf719d34bf36464
DIST setuptools-36.5.0.zip 721505 SHA256 ce2007c1cea3359870b80657d634253a0765b0c7dc5a988d77ba803fc86f2c64 SHA512 e61c2f9ee640bf5dd8ab7c7a7c29667d91aa2498a7b027e387493ad7bcc9b56927e6fa63cdb4e083333c57eb355a670ba3df861ed5f8447b216fef0bc77c8b43 WHIRLPOOL a18b45eb750bc92579d0179d0d5797d4cf949c20ab4e6cbf0b4ae154d351285983505829a1f0f0ee71b5b4aa3793bd3306ab3a9c44ea42b8306cb80cf3d273ec
+DIST setuptools-36.6.0.zip 725173 SHA256 62074589522a798da243f47348f38020d55b6c945652e2f2c09d3a96299812b7 SHA512 b1b7fbff45db72e24ffb0aef41509a8f49c3911f20e6dfa7335aace22d0b2c533615edd1626c6b58602960644d1a3ad7b2e6899efeec4138aa58a187d063c319 WHIRLPOOL 62e0e32eddd56b758dcd4da415a422e78f51acc58f83dc887d6ca67d7836cfe28dc1bdf4acb423b5e1f694c79ab4a392dbdc5f8ccb669e641f70f8c6f37f62b7
diff --git a/dev-python/setuptools/setuptools-36.6.0.ebuild b/dev-python/setuptools/setuptools-36.6.0.ebuild
new file mode 100644
index 000000000000..569852df901c
--- /dev/null
+++ b/dev-python/setuptools/setuptools-36.6.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy{,3} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1
+
+if [[ ${PV} == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/pypa/setuptools.git"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+ KEYWORDS="~amd64 ~ia64 ~ppc ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools https://pypi.python.org/pypi/setuptools"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+"
+DEPEND="${RDEPEND}
+ app-arch/unzip
+ test? (
+ dev-python/pip[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+ dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+ dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+ >=dev-python/backports-unittest-mock-1.2[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND="
+ >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]"
+
+# Force in-source build because build system modifies sources.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+DOCS=( {CHANGES,README}.rst docs/{easy_install.txt,pkg_resources.txt,setuptools.txt} )
+
+python_prepare_all() {
+ if [[ ${PV} == "9999" ]]; then
+ python_setup
+ ${EPYTHON} bootstrap.py || die
+ fi
+
+ # disable tests requiring a network connection
+ rm setuptools/tests/test_packageindex.py || die
+
+ # don't run integration tests
+ rm setuptools/tests/test_integration.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # test_easy_install raises a SandboxViolation due to ${HOME}/.pydistutils.cfg
+ # It tries to sandbox the test in a tempdir
+ HOME="${PWD}" py.test --verbose ${PN} || die "Tests failed under ${EPYTHON}"
+}
+
+python_install() {
+ export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
+ distutils-r1_python_install
+}